[Fwd: Re: ncurses-5.5 doesn't install]

Dan Nicholson dbn.lists at gmail.com
Sun May 28 11:51:34 PDT 2006


On 5/28/06, Stefano Lampis <slampis at studenti.math.unipd.it> wrote:
> This problem was presented again today in #lfs-support.
> Must be fixed...
> http://pastebin.linuxfromscratch.org/?show=2578

In this case, it seems that the linker is finding the version of
ncurses from the host.  Read this post by the ncurses developer (the
bottom part is hilarious):

http://lists.gnu.org/archive/html/bug-ncurses/2005-08/msg00022.html

However, where ncurses is built is after Adjusting the Toolchain, and
both second passes of GCC and Binutils.  The whole temporary toolchain
is in place.  So, it appears as if your toolchain is not working since
it's finding the ncurses version on your host.

Not to disregard you, but I have to believe this is operator error
since this has never been a problem before.

If you want, you can try to make run_tic.sh run verbosely.  Just
change the top line in misc/run_tic.sh to #!/bin/sh -vx.  It'll
produce a ton of output, but maybe that can narrow down the problem.

--
Dan



More information about the lfs-support mailing list